
Redmine - Feature #1963

Ability to filter issues by project

2008-09-28 11:14 - Ewan Makepeace

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

If I view all issues for a parent project I can filter the view by subproject, or turn off all subprojects to view only the issues attached to

the parent. However when I view all issues from the root level there is no apparent way to filter by project?

Related issues:

Related to Redmine - Feature #6538: Use Project for Issue Filtering Closed 2010-09-30

Has duplicate Redmine - Feature #576: Issue list: Add "project" item into filter Closed

Has duplicate Redmine - Feature #4290: Add filter by project when viewing all... Closed 2009-11-25

Has duplicate Redmine - Feature #5084: Filter all isssues by projects Closed

History

#1 - 2008-11-10 21:10 - Karl Heinz Marbaise

- Category set to Issues

- Start date deleted (2008-09-28)

#2 - 2008-12-04 11:11 - Chris Platts

This would certainly be a handy feature.  I just hit a situation now where I wanted to see open tickets for several projects combined.  These projects

aren't parent/sub-projects of each other, they're just several disparate projects I happen to be involved in.

Of course, I could filter for tickets assigned to me, but I wanted an overview of all the tickets in the target projects.

#3 - 2009-05-07 14:07 - Nick Fitzgerald

I would like to see a Project filter added to the issues page as well. It would be most useful on the global "View all issues" page.

#4 - 2009-06-18 19:18 - Alex G.

1

Our team is running 40 small projects and almost all the team members are involved into all the projects (this is also applicable for the support

teams).

This is definitely important for us to have the global "View all issues" report which could be filtered by project(s).

thank you for your effort.

#5 - 2009-06-18 19:29 - Nanda P

- File RedMine_SubProjectFilter.jpg added

Guys,

Are we talking about this? if yes then we already have this. (I am using the trunk version)

 RedMine_SubProjectFilter.jpg 

Please check r350 & r2264

HTH...

Regard,

Nanda

#6 - 2009-06-18 20:27 - Ewan Makepeace

- File Screenshot_4.jpg added
https://www.redmine.org/projects/redmine/repository/svn/revisions/350
https://www.redmine.org/projects/redmine/repository/svn/revisions/2264


No we are talking about the issues list when not focussed on a particular parent:

 Screenshot_4.jpg 

#7 - 2009-06-30 00:31 - Mischa The Evil

Ewan Makepeace wrote:

No we are talking about the issues list when not focussed on a particular parent:

[...]

 Indeed, the subproject-filter isn't available in the global (cross-project) issue list. However, in latest trunk you are at least able to group (and collapse

through JS) the global issue list by project (see issue #2679). It's not the same as such a filter as Nanda describes, but it is at least something for the

moment...

 grouping_issues_by_project.jpg 

Though, this issue should not be considered as resolved as such since you are specifically requesting the filter in the global issue list I presume...

Kind regards,

Mischa.

#8 - 2009-06-30 00:36 - Mischa The Evil

- File grouping_issues_by_project.jpg added

...you are at least able to group (and collapse through JS) the global issue list by project...

 Added project-grouping screenshot.

#9 - 2009-06-30 03:24 - Ewan Makepeace

First of - that looks super cool, and I can see great uses for what you have done.

However there is an architecture problem - the data is paged on the server and client side grouping can only work on the subset of issues sent from

the server. In Indonesia where bandwidth is constrained my default view is to see only 5 issues at a time for example.

So - unless we can filter by project on the server, we wont get the issues we want in the browser and client side grouping (while nice) wont solve that

problem.

Also a huge application for this is saved queries - I want to build and save queries for certain groups of projects. That requires there to be a field in

the query builder for me to save (as was done with Sort order?)

#10 - 2009-06-30 23:09 - Mischa The Evil

Ewan Makepeace wrote:

First of - that looks super cool, and I can see great uses for what you have done.

 You should thank Jean-Philippe (and maybe Andrew Chaika) for the issue grouping feature. I haven't done anything for it's implementation. I don't

even have commit rights to the redmine svn-repo (don't deserve them either :)

Ewan Makepeace wrote:

However there is an architecture problem - the data is paged on the server and client side grouping can only work on the subset of issues sent

from the server. In Indonesia where bandwidth is constrained my default view is to see only 5 issues at a time for example.

So - unless we can filter by project on the server, we wont get the issues we want in the browser and client side grouping (while nice) wont solve

that problem.

 This indeed makes clear to me why you need the sub(project) filter (instead of grouping) on the global (cross-project) issue list. Though one caveat

(maybe even the reason why it's not implemented yet): currently the filter is actually a subproject-filter and since while on the global issue list there is

no sub-project available since we not on a project issue list... :S

Ewan Makepeace wrote:

Also a huge application for this is saved queries - I want to build and save queries for certain groups of projects. That requires there to be a field

in the query builder for me to save (as was done with Sort order?)

 Indeed. But I guess that the filter becomes also available on the global custom query "builder" once the filter has been implemented on the global

issue list filters as requested. Though imho that is not the same of the "Sort order" option in the custom query "builder"...
https://www.redmine.org/issues/2679


HTH!

Kind regards,

Mischa.

#11 - 2009-09-25 23:30 - Randy Syring

BIG +1 for what its worth

#12 - 2010-07-08 17:54 - Anonymous

I would also like this. But in the meantime, similar functionality is available via this plugin: http://www.redmine.org/wiki/1/PluginGlobalFilter

#13 - 2010-08-11 23:54 - Mischa The Evil

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Resolution set to Fixed

This issue was duplicated by issue #5084. Issue #5084 has been resolved (committed to trunk) recently and is scheduled to be included in Redmine 

1.0.1.

Thus, now we have:

On parent projects views;

Subproject filter (both in issues-list filter-section and in "custom-query builder")

"Group results by: Project" option (both in issues-list options-section and in "custom-query builder")

On cross-projects views;

Project filter (both in issues-list filter-section and in "custom-query builder")

"Group results by: Project" option (both in issues-list options-section and in "custom-query builder")

Also, we still have the additional functionality of the Global Filter plugin.

#14 - 2010-09-29 22:29 - Felix Schäfer

- Status changed from Resolved to Closed

Closing this as #5084 has been committed to 1.0-stable.
